Home
last modified time | relevance | path

Searched full:ping (Results 1 – 25 of 821) sorted by relevance

12345678910>>...33

/openbmc/linux/drivers/staging/vc04_services/interface/
H A DTESTING53 * Ping test
58 Ping test - service:echo, iters:1, version 3
59 vchi ping (size 0) -> 57.000000us
60 vchi ping (size 0, 0 async, 0 oneway) -> 122.000000us
63 vchi ping (size 0) -> 49.000000us
64 vchi ping (size 0, 0 async, 0 oneway) -> 70.000000us
67 vchi ping (size 0, 1 async, 0 oneway) -> 65.000000us
69 vchi ping (size 0, 2 async, 0 oneway) -> 74.000000us
71 vchi ping (size 0, 10 async, 0 oneway) -> 125.000000us
73 vchi ping (size 0, 0 async, 1 oneway) -> 70.000000us
[all …]
/openbmc/linux/tools/testing/selftests/netfilter/
H A Dbridge_brouter.sh71 # ping netns1, expected to not work (ip forwarding is off)
72 ip netns exec ns1 ping -q -c 1 10.0.0.12 > /dev/null 2>&1
74 echo "ERROR: ping works, should have failed" 1>&2
87 ip netns exec ns1 ping -q -c 1 10.0.0.12 > /dev/null
89 echo "ERROR: ping did not work, but it should (broute+forward)" 1>&2
96 # ping netns1, expected to work (frames are bridged)
97 ip netns exec ns1 ping -q -c 1 10.0.0.12 > /dev/null
99 echo "ERROR: ping did not work, but it should (bridged)" 1>&2
105 # ping netns1, expected to not work (DROP in bridge forward)
106 ip netns exec ns1 ping -q -c 1 10.0.0.12 > /dev/null 2>&1
[all …]
H A Dnft_nat.sh197 # ping netns1, expect rewrite to netns2
198 ip netns exec "$ns0" ping -q -c 1 dead:1::99 > /dev/null
243 test $lret -eq 0 && echo "PASS: ipv6 ping to $ns1 was $family NATted to $ns2"
277 # ping netns1, expect rewrite to netns2
278 ip netns exec "$ns0" ping -q -c 1 10.0.1.99 > /dev/null
281 echo "ERROR: ping failed"
323 test $lret -eq 0 && echo "PASS: ping to $ns1 was $family NATted to $ns2"
328 ip netns exec "$ns0" ping -q -c 1 10.0.1.99 > /dev/null
331 echo "ERROR: ping failed"
372 test $lret -eq 0 && echo "PASS: ping to $ns1 OK after $family nat output chain flush"
[all …]
/openbmc/linux/Documentation/devicetree/bindings/iio/proximity/
H A Dparallax-ping.yaml4 $id: http://devicetree.org/schemas/iio/proximity/parallax-ping.yaml#
7 title: Parallax PING))) and LaserPING range finder
14 - ping-gpios is raised by the driver to start measurement
15 - direction of ping-gpio is then switched into input with an interrupt
20 http://parallax.com/sites/default/files/downloads/28015-PING-Documentation-v1.6.pdf
25 - parallax,ping
28 ping-gpios:
43 - ping-gpios
52 ping-gpios = <&gpio0 26 GPIO_ACTIVE_HIGH>;
/openbmc/qemu/tests/rocker/
H A Dbridge-stp5 while ! simp ssh tut sw1 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
6 while ! simp ssh tut h1 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
7 while ! simp ssh tut h2 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
41 simp ssh tut h1 --cmd "ping -w 1 -c1 11.0.0.2 >/dev/null"
44 simp ssh tut h1 --cmd "ping -c10 11.0.0.2 >/dev/null"
46 simp ssh tut h1 --cmd "ping -c10 11.0.0.2 >/dev/null"
48 simp ssh tut h1 --cmd "ping -c10 11.0.0.2 >/dev/null"
50 simp ssh tut h1 --cmd "ping -c10 11.0.0.2 >/dev/null"
52 simp ssh tut h1 --cmd "ping -c10 11.0.0.2 >/dev/null"
H A Dbridge-vlan-stp5 while ! simp ssh tut sw1 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
6 while ! simp ssh tut h1 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
7 while ! simp ssh tut h2 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
53 simp ssh tut h1 --cmd "ping -w 1 -c1 11.0.0.2 >/dev/null"
56 simp ssh tut h1 --cmd "ping -c10 11.0.0.2 >/dev/null"
58 simp ssh tut h1 --cmd "ping -c10 11.0.0.2 >/dev/null"
60 simp ssh tut h1 --cmd "ping -c10 11.0.0.2 >/dev/null"
62 simp ssh tut h1 --cmd "ping -c10 11.0.0.2 >/dev/null"
64 simp ssh tut h1 --cmd "ping -c10 11.0.0.2 >/dev/null"
H A Dport4 while ! simp ssh tut sw1 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
5 while ! simp ssh tut h1 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
6 while ! simp ssh tut h2 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
20 simp ssh tut h1 --cmd "ping -c10 11.0.0.1 >/dev/null"
22 simp ssh tut h2 --cmd "ping -c10 12.0.0.1 >/dev/null"
/openbmc/openbmc/poky/meta/recipes-extended/iputils/
H A Diputils_20240905.bb3 tracepath, tracepath6, ping, ping6 and arping."
35 ALTERNATIVE:${PN}-ping = "ping"
36 ALTERNATIVE_LINK_NAME[ping] = "${base_bindir}/ping"
41 SPLITPKGS = "${PN}-ping ${PN}-arping ${PN}-tracepath ${PN}-clockdiff \
49 FILES:${PN}-ping = "${base_bindir}/ping.${BPN}"
57 ln -sf ping ${D}/${base_bindir}/ping6
/openbmc/u-boot/test/dm/
H A Deth.c27 ut_assertok(net_loop(PING)); in dm_test_eth()
31 ut_assertok(net_loop(PING)); in dm_test_eth()
35 ut_assertok(net_loop(PING)); in dm_test_eth()
46 ut_assertok(net_loop(PING)); in dm_test_eth_alias()
50 ut_assertok(net_loop(PING)); in dm_test_eth_alias()
55 ut_assertok(net_loop(PING)); in dm_test_eth_alias()
59 ut_assertok(net_loop(PING)); in dm_test_eth_alias()
73 ut_assertok(net_loop(PING)); in dm_test_eth_prime()
79 ut_assertok(net_loop(PING)); in dm_test_eth_prime()
98 * Do a ping test to see if anything goes wrong.
[all …]
/openbmc/linux/tools/testing/selftests/net/
H A Dunicast_extensions.sh9 # of address, we test for interface assignment, ping, TCP, and forwarding.
59 # ping and nettest.
72 ip netns exec $foo_ns timeout 2 ping -c 1 $2 || return 1
73 ip netns exec $bar_ns timeout 2 ping -c 1 $1 || return 1
108 ip netns exec $foo_ns timeout 2 ping -c 1 $2 || return 1
109 ip netns exec $foo_ns timeout 2 ping -c 1 $4 || return 1
110 ip netns exec $bar_ns timeout 2 ping -c 1 $3 || return 1
111 ip netns exec $bar_ns timeout 2 ping -c 1 $1 || return 1
171 segmenttest 240.1.2.1 240.1.2.4 24 "assign and ping within 240/4 (1 of 2) (is allowed)"
172 segmenttest 250.100.2.1 250.100.30.4 16 "assign and ping within 240/4 (2 of 2) (is allowed)"
[all …]
H A Dfcnal-test.sh93 which ping6 > /dev/null 2>&1 && ping6=$(which ping6) || ping6=$(which ping)
196 killall nettest ping ping6 >/dev/null 2>&1
582 run_cmd ping -c1 -w1 ${a}
583 log_test_addr ${a} $? 0 "ping out"
586 run_cmd ping -c1 -w1 -I ${NSA_DEV} ${a}
587 log_test_addr ${a} $? 0 "ping out, device bind"
590 run_cmd ping -c1 -w1 -I ${NSA_LO_IP} ${a}
591 log_test_addr ${a} $? 0 "ping out, address bind"
599 run_cmd ping -c 1 -w 1 -r ${a}
600 log_test_addr ${a} $? 0 "ping out (don't route), peer on link"
[all …]
/openbmc/linux/samples/bpf/
H A Dtest_lwt_bpf.sh146 ping -c 3 $IPVETH1 || {
162 ping -c 3 $IPVETH1 || {
178 ping -c 3 $IP_LOCAL || {
202 ping -c 3 $IPVETH1 || {
215 ping -c 3 $IP_LOCAL || {
233 ping -c 3 $IPVETH1 || {
249 ping -c 3 $IP_LOCAL || {
273 ping -c 3 $IPVETH1 && {
274 failure "test_drop_all ${1}: Unexpected success of ping"
286 ping -c 3 $IP_LOCAL && {
[all …]
/openbmc/u-boot/include/dm/
H A Dtest.h15 * @ping_add: Amonut to add each time we get a ping
26 * @ping: Ping operation
28 * @pingval: Value to ping the device with
33 int (*ping)(struct udevice *dev, int pingval, int *pingret); member
61 /* The number added to the ping total on each probe */
170 /* Declare ping methods for the drivers */
175 * dm_check_operations() - Check that we can perform ping operations
177 * This checks that the ping operations work as expected for a device
181 * @base: Base address, used to check ping return value
/openbmc/linux/tools/testing/selftests/ftrace/test.d/trigger/inter-event/
H A Dtrigger-field-variable-support.tc4 # requires: set_event synthetic_events events/sched/sched_process_fork/hist ping:program
14 echo 'hist:keys=comm:ts0=common_timestamp.usecs if comm=="ping"' > events/sched/sched_waking/trigger
15 …cy($wakeup_lat,next_pid,sched.sched_waking.prio,next_comm) if next_comm=="ping"' > events/sched/sc…
18 ping $LOCALHOST -c 3
19 if ! grep -q "ping" events/synthetic/wakeup_latency/hist; then
27 …cy($wakeup_lat,next_pid,sched.sched_waking.prio,next_comm) if next_comm=="ping"' >> events/sched/s…
H A Dtrigger-inter-event-combined-hist.tc4 # requires: set_event synthetic_events events/sched/sched_process_fork/hist ping:program
20 echo 'hist:keys=pid:ts0=common_timestamp.usecs if comm=="ping"' > events/sched/sched_waking/trigger
21 …ts0:onmatch(sched.sched_waking).waking_latency($waking_lat,pid) if comm=="ping"' > events/sched/sc…
25 echo 'hist:keys=pid:ts1=common_timestamp.usecs if comm=="ping"' >> events/sched/sched_wakeup/trigger
26 …h(sched.sched_wakeup).wakeup_latency($wakeup_lat,next_pid) if next_comm=="ping"' > events/sched/sc…
32 ping $LOCALHOST -c 3
H A Dtrigger-snapshot-action-hist.tc4 …apshot events/sched/sched_process_fork/hist "onchange(var)":README "snapshot()":README ping:program
15 …nchange($newprio).save(comm,prio):onchange($newprio).snapshot() if comm=="ping"' >> events/sched/s…
17 ping $LOCALHOST -c 3
18 nice -n 1 ping $LOCALHOST -c 3
26 if ! grep -q "comm=ping" snapshot; then
/openbmc/linux/tools/testing/selftests/bpf/
H A Dtest_sock_addr.sh7 type ping${1} >/dev/null 2>&1 && PING="ping${1}" || PING="ping -${1}"
8 $PING -q -c 1 -W 1 ${2%%/*} >/dev/null 2>&1
H A Dtest_tunnel.sh35 # End-to-end ping packet flow
38 # then ping the underlay and overlay network. When doing 'ping 10.1.1.100'
248 ping $PING_ARG 10.1.1.100
250 ip netns exec at_ns0 ping $PING_ARG 10.1.1.200
272 ping $PING_ARG 10.1.1.100
274 ip netns exec at_ns0 ping $PING_ARG 10.1.1.200
300 ip netns exec at_ns0 ping $PING_ARG 10.1.1.200
301 ping $PING_ARG 10.1.1.100
329 ip netns exec at_ns0 ping $PING_ARG 10.1.1.200
330 ping $PING_ARG 10.1.1.100
[all …]
/openbmc/openbmc-test-automation/extended/
H A Dfactory_reset.robot23 # settings and checking whether ping works with BMC host.
24 # If factory reset is successful, ping to BMC host should fail as
28 ${status}= Run Keyword And Return Status Ping Host ${OPENBMC_HOST}
37 # If reverting to initial setup is successful, ping to BMC
41 Ping Host ${OPENBMC_HOST}
51 Ping Host ${GW_IP}
H A Dstandby_bmc.robot38 ... 1. Ping Test
51 ... Wait For Host To Ping ${OPENBMC_HOST} 2 mins
53 # Check if the ping works using 1400 MTU.
54 #Run Keyword if ${ping_status} == ${True} MTU Ping Test
57 ... Fail ${OPENBMC_HOST} ping test failed.
105 [Documentation] BMC ping, SSH, REST connection Test
108 ... Verify Ping and REST Authentication
161 MTU Ping Test
162 [Documentation] Ping test using MTU.
169 ... ping -M do -s ${mtu} -c 10 ${OPENBMC_HOST}
/openbmc/linux/Documentation/devicetree/bindings/net/
H A Dxlnx,emaclite.yaml36 xlnx,tx-ping-pong:
38 description: hardware supports tx ping pong buffer.
40 xlnx,rx-ping-pong:
42 description: hardware supports rx ping pong buffer.
61 xlnx,rx-ping-pong;
62 xlnx,tx-ping-pong;
/openbmc/linux/tools/testing/selftests/net/forwarding/
H A Dbridge_locked_port.sh100 check_err $? "Ping did not work before locking port"
105 check_fail $? "Ping worked after locking port, but before adding FDB entry"
110 check_err $? "Ping did not work after locking port and adding FDB entry"
116 check_err $? "Ping did not work after unlocking port and removing FDB entry."
131 check_err $? "Ping through vlan did not work before locking port"
135 check_fail $? "Ping through vlan worked after locking port, but before adding FDB entry"
140 check_err $? "Ping through vlan did not work after locking port and adding FDB entry"
146 check_err $? "Ping through vlan did not work after unlocking port and removing FDB entry"
185 check_err $? "Ping did not work before locking port"
190 check_fail $? "Ping worked on a locked port without an FDB entry"
[all …]
H A Dforwarding.config.sample25 # IPv4 ping utility name
26 PING=ping
27 # IPv6 ping utility name. Some distributions use 'ping' for IPv6.
41 # Timeout (in seconds) before ping exits regardless of how many packets have
/openbmc/linux/tools/testing/selftests/drivers/net/dsa/
H A Dbridge_locked_port.sh100 check_err $? "Ping did not work before locking port"
105 check_fail $? "Ping worked after locking port, but before adding FDB entry"
110 check_err $? "Ping did not work after locking port and adding FDB entry"
116 check_err $? "Ping did not work after unlocking port and removing FDB entry."
131 check_err $? "Ping through vlan did not work before locking port"
135 check_fail $? "Ping through vlan worked after locking port, but before adding FDB entry"
140 check_err $? "Ping through vlan did not work after locking port and adding FDB entry"
146 check_err $? "Ping through vlan did not work after unlocking port and removing FDB entry"
185 check_err $? "Ping did not work before locking port"
190 check_fail $? "Ping worked on a locked port without an FDB entry"
[all …]
/openbmc/openbmc-test-automation/ipmi/
H A Dtest_get_bios_post_code.robot85 # host_ip The host name or IP of the host to ping.
87 ${ping_rsp}= Host Ping ${host_ip}
98 # host_ip The host name or IP of the host to ping.
100 ${ping_rsp}= Host Ping ${host_ip}
104 Host Ping
105 [Documentation] Ping the given host.
109 # host_ip The host name or IP of the host to ping.
111 ${cmd}= Catenate ping -c 4 ${host_ip}

12345678910>>...33